<h1>User details</h1>

<ng-container [ngSwitch]="status">

  <ul *ngSwitchCase="'loaded'">
    <li>id: {{user?.id}}</li>
    <li>name: {{user?.name}}</li>
    <li>email: {{user?.email}}</li>
    <li>cities:
      <ul>
        <li *ngFor="let city of user?.cities">{{city.name}}</li>
      </ul>
    </li>
  </ul>

  <mat-spinner *ngSwitchCase="'loading'" diameter="30" color="accent"></mat-spinner>

  <div *ngSwitchCase="'error'">{{errorMessage}}</div>
</ng-container>


